/* this function, and its parameter, have no types */
untyped_after(param	/* should become an int */)
{
    printf("yes, it's legal\n");
}

/* this function, and its parameter, have no types */
untyped_before(/* should become an int */	param)
{
    printf("yes, it's legal\n");
}

/* this function, and its parameter, have no types */
untyped_none(param)
{
    printf("yes, it's legal\n");
}
